Page MenuHomePhabricator

Firefogg browser test
Closed, DeclinedPublic

Description

From a QA email thread:

It should not be hard to do. You do not have to set up a profile, you can just point to the extension that needs to be installed.
https://code.google.com/p/selenium/wiki/RubyBindings#Adding_an_extension

This may be the perfect opportunity to refactor the UW test suite to
make use of mediawiki_selenium 1.0.x features—it provides a dependency
injection system for easily setting custom Watir/Selenium browser
options.[0][1] It would go something like this:

Before('@use-some-extension') do
  browser_factory(:firefox).bind do |options|
    options[:profile].add_extension('/path/to/extension.xpi')
  end
end

Event Timeline

Gilles created this task.Mar 19 2015, 8:30 AM
Gilles claimed this task.
Gilles raised the priority of this task from to Low.
Gilles updated the task description. (Show Details)
Gilles added a project: UploadWizard.
Gilles added subscribers: Gilles, zeljkofilipin, dduvall.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 19 2015, 8:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 197975 had a related patch set uploaded (by Zfilipin):
QA: Refactor for mediawiki_selenium 1.0.1

https://gerrit.wikimedia.org/r/197975

Change 197975 merged by jenkins-bot:
QA: Refactor for mediawiki_selenium 1.0.2

https://gerrit.wikimedia.org/r/197975

Gilles removed Gilles as the assignee of this task.Apr 1 2015, 9:03 AM

Change 201481 had a related patch set uploaded (by Dduvall):
[WIP] QA: Example of adding an extension to Firefox

https://gerrit.wikimedia.org/r/201481

Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 3 2015, 1:25 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:52 PM

Change 201481 abandoned by MarkTraceur:
[WIP] QA: Example of adding an extension to Firefox

Reason:
No progress in some time, stalled waiting for use cases, abandoning for review queue hygiene

https://gerrit.wikimedia.org/r/201481

zhuyifei1999 closed this task as Declined.Apr 24 2017, 12:06 PM
zhuyifei1999 added a subscriber: zhuyifei1999.

Firefogg is no longer supported, see T157201